petsc-3.4.2 2013-07-02

# KSPFGMRESModifyPCKSP

modifies the attributes of the GMRES preconditioner. It serves as an example (not as something useful!)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPFGMRESModifyPCKSP(KSP ksp,PetscInt total_its,PetscInt loc_its,PetscReal res_norm,void *dummy)

### Input Parameters

| ksp | - the ksp context being used.
| total_its | - the total number of FGMRES iterations that have occurred.
| loc_its | - the number of FGMRES iterations since last restart.
| res_norm | - the current residual norm.
| dummy | - context, not used here

Contributed by Allison Baker

This could be used as a template!

### See Also

KSPFGMRESSetModifyPC(), KSPFGMRESModifyPCKSP()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/fgmres/modpcf.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages